/***********************************************************************************************************************
 *
 * blueBill Core - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it
 * SCM: https://kenai.com/hg/bluebill~core-src
 *
 **********************************************************************************************************************/
package it.tidalwave.observation.simple;

import it.tidalwave.netbeans.util.AsLookupSupport;
import it.tidalwave.role.Displayable;
import java.util.Locale;
import java.util.Map;
import java.util.SortedSet;
import javax.annotation.Nonnull;
import it.tidalwave.role.LocalizedDisplayable;

/***********************************************************************************************************************
 *
 * Temporary for supporting implements Displayable on a number of classes. Will be removed since the interfaces must
 * NOT extend Displayable.
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class LocalizedDisplayableAsSupport extends AsLookupSupport implements LocalizedDisplayable
  {
    private final static long serialVersionUID = 3453256656347568673L;
    
    public LocalizedDisplayableAsSupport (final @Nonnull Object ... capabilities)
      {
        super(capabilities);
      }

    public String getDisplayName()   
      {
        return as(Displayable.class).getDisplayName();
      }

    public String getDisplayName(Locale locale)
      {
        return as(LocalizedDisplayable.class).getDisplayName(locale);
      }

    public Map<Locale, String> getDisplayNames()
      {
        return as(LocalizedDisplayable.class).getDisplayNames();
      }

    public SortedSet<Locale> getLocales()
      {
        return as(LocalizedDisplayable.class).getLocales();
      }
  }
